// NetTunnelServerApp.cpp : 此文件包含 "main" 函数。程序执行将在此处开始并结束。
//
#include <spdlog/spdlog.h>
#include <conio.h>

#include "sccsdk.h"

int main() {
    PUSER_SERVER_CONFIG pSvrCfg;
    int                 ret;
    //https://xajhuang.com:9276
    //http://172.21.40.39:32549
    if ((ret = TunnelSDKInitEnv(nullptr, "https://112.17.28.201:1443", nullptr, LOG_DEBUG, true)) != ERR_SUCCESS) {
        wprintf(L"Init SCC SDK Error: %d\n", ret);
        return -1;
    }

    EnableVerifySignature("sc-winvdisdk-efa9v12xwtz5eppr", "lh5r8sw6m9m416nm");

    if (ERR_SUCCESS != (ret = GetUserServerConfigure("tunnel_svr", "172.21.97.100", &pSvrCfg))) {
        wprintf(L"GetUserServerConfigure Error: %d\n", ret);
        return -2;
    }

    if (ERR_SUCCESS != (ret = CreateControlService(pSvrCfg))) {
        wprintf(L"CreateControlService Error: %d\n", ret);
        return -2;
    }

    wprintf(L"Press Key 'X' to exit......\n");

    do {
        ret = _getch();
    } while (ret != 'X' && ret != 'x');

    return 0;
}

// 运行程序: Ctrl + F5 或调试 >“开始执行(不调试)”菜单
// 调试程序: F5 或调试 >“开始调试”菜单

// 入门使用技巧:
//   1. 使用解决方案资源管理器窗口添加/管理文件
//   2. 使用团队资源管理器窗口连接到源代码管理
//   3. 使用输出窗口查看生成输出和其他消息
//   4. 使用错误列表窗口查看错误
//   5. 转到“项目”>“添加新项”以创建新的代码文件，或转到“项目”>“添加现有项”以将现有代码文件添加到项目
//   6. 将来，若要再次打开此项目，请转到“文件”>“打开”>“项目”并选择 .sln 文件